summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD10
-rw-r--r--force_python3.diff12
3 files changed, 15 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2c2f5067451..4a4c23e714e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Sun Nov 27 13:34:01 UTC 2016
+# Sun Mar 26 21:32:11 UTC 2017
pkgbase = luxrays-hg
pkgdesc = Accelerate the ray intersection process by using GPUs
- pkgver = 3677+.a68fdb616d0a+
+ pkgver = 3744.49dbe03e39d0
pkgrel = 1
url = http://www.luxrender.net/
arch = x86_64
@@ -18,7 +18,7 @@ pkgbase = luxrays-hg
makedepends = freeglut
makedepends = mercurial
depends = embree-bvh_build-git
- depends = libcl
+ depends = opencl-icd-loader
depends = libgl
depends = openimageio
optdepends = opencl-nvidia: OpenCL support for nVidia GPUs
@@ -34,7 +34,7 @@ pkgbase = luxrays-hg
source = luxrays::hg+https://bitbucket.org/luxrender/luxrays#branch=default
source = force_python3.diff
md5sums = SKIP
- md5sums = 36c9823246c2b575415c1709e065727c
+ md5sums = ba9a42dbe073009189c6d21845bff767
pkgname = luxrays-hg
diff --git a/PKGBUILD b/PKGBUILD
index 41ac9c67f43..31c2de3da96 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,13 +1,13 @@
# Maintainer: Lukas Jirkovsky <l.jirkovsky@gmail.com>
# Contributor: Alex Combas <alex.combas@gmail.com>
pkgname=luxrays-hg
-pkgver=3677+.a68fdb616d0a+
+pkgver=3744.49dbe03e39d0
pkgrel=1
pkgdesc="Accelerate the ray intersection process by using GPUs"
arch=('x86_64')
url="http://www.luxrender.net/"
license=('GPL')
-depends=('embree-bvh_build-git' 'libcl' 'libgl' 'openimageio')
+depends=('embree-bvh_build-git' 'opencl-icd-loader' 'libgl' 'openimageio')
makedepends=('boost' 'cmake' 'freetype2' 'gtk3' 'libpng' 'mesa' 'opencl-headers' 'glew' 'freeglut'
'mercurial')
optdepends=('opencl-nvidia: OpenCL support for nVidia GPUs' \
@@ -23,7 +23,7 @@ conflicts=('luxrays')
source=('luxrays::hg+https://bitbucket.org/luxrender/luxrays#branch=default' \
force_python3.diff)
md5sums=('SKIP'
- '36c9823246c2b575415c1709e065727c')
+ 'ba9a42dbe073009189c6d21845bff767')
pkgver() {
cd "$srcdir/luxrays"
@@ -59,8 +59,8 @@ package() {
cp -a include "$pkgdir"/usr
# install pyluxcore to the Python search path
- install -d -m755 "$pkgdir"/usr/lib/python3.5/
- mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.5/
+ install -d -m755 "$pkgdir"/usr/lib/python3.6/
+ mv "$pkgdir"/usr/lib/pyluxcore.so "$pkgdir"/usr/lib/python3.6/
}
# vim:set ts=2 sw=2 et:
diff --git a/force_python3.diff b/force_python3.diff
index 9dc09b42f7d..386cea79317 100644
--- a/force_python3.diff
+++ b/force_python3.diff
@@ -1,12 +1,12 @@
-diff -rup luxrender-luxrays-61352e6aae3f.orig/cmake/Dependencies.cmake luxrender-luxrays-61352e6aae3f/cmake/Dependencies.cmake
---- luxrender-luxrays-61352e6aae3f.orig/cmake/Dependencies.cmake 2016-05-09 22:17:57.000000000 +0200
-+++ luxrender-luxrays-61352e6aae3f/cmake/Dependencies.cmake 2016-05-29 09:04:30.913648230 +0200
-@@ -58,7 +58,7 @@ set(Boost_MINIMUM_VERSION "1.44.0"
+diff --git a/cmake/Dependencies.cmake b/cmake/Dependencies.cmake
+--- a/cmake/Dependencies.cmake
++++ b/cmake/Dependencies.cmake
+@@ -58,7 +58,7 @@
set(Boost_ADDITIONAL_VERSIONS "1.47.0" "1.46.1" "1.46" "1.46.0" "1.45" "1.45.0" "1.44" "1.44.0")
--set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python chrono)
-+set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python3 chrono)
+-set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python chrono serialization)
++set(LUXRAYS_BOOST_COMPONENTS thread program_options filesystem serialization iostreams regex system python3 chrono serialization)
find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS ${LUXRAYS_BOOST_COMPONENTS})
if (NOT Boost_FOUND)
# Try again with the other type of libs